Temporarily disable "Scroll on Song Change" while editing playlist
October 02, 2013 14:26 - Thomas Martin Klein

Status: Rejected Start date: October 02, 2013
Priority: Minor Due date:

Assignee: % Done: 0%

Category: plugins/gtkui Estimated time: 0.00 hour

Target version:

Affects version:

Description

| know this is a feature, but it gets quite annoying when i try to find a new track in my quite large playlist i use for work.
What i experience:

- if the currently playing song ends while i browse the playlist the view jumps to the next song to that.

What i would like to experience

- if i am actively browsing the playlist this jump should not happen.

- still jump if that is not the case.. so i can see where the playlist is at.

Comment

- maybe track if i used the scrollbar in the last 20 seconds or so and avoid the jump if that is the case.

Info
Using 3.4.1 with the GTK interface on Archlinux
| think this is a bug and not a wish as the current behavior is quite counter-intuitive.

History

#1 - October 02, 2013 15:27 - John Lindgren
- Status changed from New to Rejected
- Estimated time deleted (2.00 h)

- Affects version deleted (3.0, 3.0.1, 3.0.2, 3.0.3, 3.0.4, 3.1, 3.1.1, 3.2-alphal, 3.2-betal, 3.1.2, 3.2-beta2, 3.2, 3.2.1, 3.2.2, 3.2.3, 3.3-alphal, 3.2.4,
3.3-betal, 3.3-beta2, 3.3, 3.4, 3.3.1, 3.3.2, 3.3.3, 3.3.4, 3.4-alphal, 3.4-betal, 3.4-beta2, 3.4.1)

View -> Scroll on Song Change

How hard would it have been for you to ask how to turn the feature off? Instead, you must go and file a bug report because the default setting doesn't
agree with your personal preference. Please learn some humility. Free software does not exist only to meet your personal needs.

#2 - October 02, 2013 16:19 - Thomas Martin Klein

Sorry if i was to rude. Or i was not clear enough.

I know of that feature. and use it intentionally. As i think it is a good thing. Except for when i browse the playlist.

Or to show some humility on my part, you suggest that i turn it on-off every time i look for a song? as that answers my original request. even if it is not
really comfortable. (no hotkey (as far as i know)). But as you told me and i do agree, that one has no right to complain about free software's default
behavior.

But i would like to ask you, to please re-read my report.

What i tried to point out (it looks like that lacking the sensible amount of humility) is that when this feature (which is just great if you have playlists of
couple of hundreds songs) is turned on. It tends to jump while i am looking around in the playlist.

| believe that the "autopilot" is a good thing. And i was only suggesting, that when i grab the controls my self, the "autopilot" should (in my honest
opinion) not override what i am doing. Just as it is in an airplane. And take back the controls, after i do not touch them for a couple of seconds. For
me, this is what's intuitive.

If i am wrong, and i am the one misunderstanding the situation, then i am sorry.
As with my original report, my aim is not to complain, but to help.

Bests
Thomas Martin Klein

#3 - October 02, 2013 17:08 - John Lindgren
- Tracker changed from Bug to Feature

- Subject changed from Playlist jumps to song when it starts playing, during browsing. to Temporarily disable "Scroll on Song Change" while editing
playlist

- Status changed from Rejected to New

All right, | understand what you are asking for now. Reopening as a feature request.

#4 - October 06, 2013 01:33 - John Lindgren
- Category set to plugins/gtkui

#5 - December 02, 2019 20:28 - John Lindgren

- Status changed from New to Rejected

| don't want to add timing-dependent behavior to the Ul. There may be some other way to make the automatic scrolling less intrusive, but for now it's
an on/off feature.
